## quixote3 3.7

=== debian/changelog ===
quixote3 (3.7-1~eob130+2) trixie-eobuilder; urgency=medium

  * Eobuilder version

 -- Gael Pasgrimaud <eobuilder@entrouvert.org>  Wed, 15 Oct 2025 16:39:27 +0200

quixote3 (3.7-1~eob120+1) bookworm-eobuilder; urgency=medium

  * Eobuilder version

 -- Gael Pasgrimaud <eobuilder@entrouvert.org>  Wed, 15 Oct 2025 16:39:11 +0200

quixote3 (3.7-0) unstable; urgency=medium

  * New upstream release.

 -- Gael Pasgrimaud <gpasgrimaud@entrouvert.com>  Thu, 14 Oct 2025 13:12:00 +0200

quixote3 (3.6-0) unstable; urgency=medium

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sat, 13 Jul 2024 21:17:53 +0200

quixote3 (3.0-0) unstable; urgency=medium

  * Switch to Python 3.

 -- Frederic Peters <fpeters@entrouvert.com>  Thu, 26 Dec 2019 11:05:44 +0100

quixote (2.7~b2-2) unstable; urgency=medium

  * Team upload.

  [ SVN → Git migration ]
  * Move to git, using gbp.

  [ Jakub Wilk ]
  * Remove obsolete Conflicts/Replaces with python2.3-quixote and
    python2.4-quixote.

  [ Mattia Rizzolo ]
  * Use source/format 3.0(quilt).
  * Rewrite d/rules using the dh sequencer and pybuild.
  * d/control:
    + Don't have the -doc package depend on the main package.
    + Drop package relationship with very old versions not needed anymore.
    + Have the main package suggest the documentation, instead of recommending.
    + Drop now obsolete python:Provides.
    + Drop now obsolete XS-Python-Version.
    + Bump Standards-Version to 4.2.1.
      - Set Rules-Requires-Root:no.
    + Bump debhelper compat level to 11.
    + Fix lintian's description-synopsis-starts-with-article.
  * Drop obsolete README.Debian referring to things that don't exist anymore.
  * d/watch:
    + Use @ANY_VERSION@@ARCHIVE_EXT@ to be sure to match as much as possible.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 Sep 2018 14:54:40 +0200

quixote (2.7~b2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Really fix #820132 and really remove Oleksandr from Uploaders.

 -- Tobias Frost <tobi@debian.org>  Sun, 30 Sep 2018 09:27:43 +0200

quixote (2.7~b2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from BTS to add missing "build-arch" and "build-indep"
    targets. Thanks to Santiago Vila for the patch. (Closes: #822020)
  * Remove Oleksandr Moskalenko from Uploaders, thanks for your contributions.
    (Closes: #820132)

 -- Tobias Frost <tobi@debian.org>  Sat, 29 Sep 2018 23:26:25 +0200

quixote (2.7~b2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python instead of python-support.  Closes: #786078

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 18:40:30 +0000

quixote (2.7~b2-1) unstable; urgency=low

  * New upstream beta release (Closes: #592151).
  * debian/control:
    - Changed to DPMT maintainer; put myself in uploaders.
    - Updated Standards-Version to 3.9.1.
    - Moved appropriate build-depends to build-depends-indep.
    - Removed build-depends on dpatch.
    - Updated python-quixote-doc package description (Closes: #564332).
    - Added ${misc:Depends} to python-quixote depends per lintian warning.
    - Added ${shlibs:Depends} per lintian warning.
  * debian/source/format: Switched to source format 3.0.
  * Removed debian/pyversions as only 2.6 is currently available.
  * debian/rules:
    - Only build docs in the binary-indep target (Closes: #514762).
    - Removed patch handling code.
    - Added commands to strip binaries.
  * debian/patches: Converted patches to quilt format.
  * debian/copyright: Removed the encoded copyright symbol per lintian
    warning.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 09 Dec 2010 16:33:33 -0600

quixote (2.6-1) unstable; urgency=low

  * New upstream release.
  * Fix the build targets (Closes: #514762).

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 18 Feb 2009 09:30:01 -0700

quixote (2.5-5) unstable; urgency=low

  * debian/rules: Perform arch-specific builds.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Feb 2009 13:58:40 -0700

quixote (2.5-4) unstable; urgency=low

  [Oleksandr Moskalenko]
  * Fix the build targets (Closes: #514762).
  * debian/control:
    - Updated Standards-Version to 3.8.0.
    - Moved python-support to Build-Depends-Indep.
    - Removed python from Build-Depends.
    - Changed Architecture to all.
  * debian/rules:
    - Clean up the header.
    - Rework the rules to conform to the current Debian python packaging
      guidelines.

  [Carlos Galisteo]
  * debian/control
    - Added Homepage field.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Feb 2009 09:40:34 -0700

quixote (2.5-3) unstable; urgency=low

  * debian/rules: Remove the extra python setup.py install from the install
    rule.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 24 Nov 2007 14:24:27 -0700

quixote (2.5-2) unstable; urgency=low

  * Really update the debian/watch file.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 24 Nov 2007 14:19:02 -0700

quixote (2.5-1) unstable; urgency=low

  [Oleksandr Moskalenko]
  * New upstream release (Closes: #445405).
  * debian/patches/01-ptl_compile.py.dpatch: Updated the patch for a changed
    directory structure in the upstream tarball.
  * debian/rules: change the dh_installchanges argument from CHANGES to
    CHANGES.txt to reflect the upstream change.
  * debian/control:
    - Change XS-Vcs to Vcs as this field now has native support.
    - Add a XS-Python-Version field to allow builds for several available
      python versions.
    - Add a build and a binary dependencies on python.
  [Piotr Ożarowski]
  * debian/watch file updated

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 24 Nov 2007 13:21:46 -0700

quixote (2.4-9) unstable; urgency=low

  *  Update for new python-support:
     - debian/control: Change versioned dependency on python-support to 0.6.4.
     - debian/rules: Don't handle moving .egg.info anymore.

